const points = [
	{x: 0, y0: 30, y1: 80},
	{x: 100, y0: 80, y1: 100},
	{x: 200, y0: 20, y1: 30},
	{x: 300, y0: 20, y1: 50},
	{x: 400, y0: 10, y1: 40},
	{x: 500, y0: 50, y1: 80}
];

const yScale = d3.scaleLinear()
	.domain([0, 100])
	.range([200, 0])

const areaGenerator = d3.area()
	.x(d => d.x)
	.y0(d => yScale(d.y0))
	.y1(d => yScale(d.y1));

d3.select('g')
	.append('path')
	.attr('fill', '#cdcdcd')
	.attr('d', areaGenerator(points))